Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class Box.Filler

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--javax.swing.Box.Filler

public static class Box.Filler
extends java.awt.Component
implements Accessible

An implementation of a lightweight component that participates in layout but has no view.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Inner Class Summary
`protected class` | `Box.Filler.AccessibleBoxFiller`

Field Summary
`protected AccessibleContext` | `accessibleContext` The currently set AccessibleContext object.

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`Box.Filler(java.awt.Dimension min, java.awt.Dimension pref, java.awt.Dimension max)` Constructor to create shape with the given size ranges.

Method Summary
`void` | `changeShape(java.awt.Dimension min, java.awt.Dimension pref, java.awt.Dimension max)` Change the size requests for this shape.
`AccessibleContext` | `getAccessibleContext()` Gets the AccessibleContext associated with this Component.
`java.awt.Dimension` | `getMaximumSize()` Returns the maximum size of the component.
`java.awt.Dimension` | `getMinimumSize()` Returns the minimum size of the component.
`java.awt.Dimension` | `getPreferredSize()` Returns the preferred size of the component.

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, bounds, checkImage, checkImage, contains, contains, createImage, createImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, getAlignmentX, getAlignmentY, getBackground, getBounds, getColorModel, getComponentAt, getComponentAt, getCursor, getFont, getFontMetrics, getForeground, getGraphics, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, invalidate, isEnabled, isFocusTraversable, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paint, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setCursor, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus, update, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### accessibleContext

    protected AccessibleContext accessibleContext

  The currently set AccessibleContext object.

Constructor Detail

### Box.Filler

    public Box.Filler(java.awt.Dimension min,
                      java.awt.Dimension pref,
                      java.awt.Dimension max)

  Constructor to create shape with the given size ranges.
  Parameters:
    `min` - Minimum size
    `pref` - Preferred size
    `max` - Maximum size

Method Detail

### changeShape

    public void changeShape(java.awt.Dimension min,
                            java.awt.Dimension pref,
                            java.awt.Dimension max)

  Change the size requests for this shape. An invalidate() is propagated upward as a result so that layout will eventually happen with using the new sizes.
  Parameters:
    `min` - Value to return for getMinimumSize
    `pref` - Value to return for getPreferredSize
    `max` - Value to return for getMaximumSize

### getMinimumSize

    public java.awt.Dimension getMinimumSize()

  Returns the minimum size of the component.
  Returns:
    the size
  Overrides:
    getMinimumSize in class java.awt.Component

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  Returns the preferred size of the component.
  Returns:
    the size
  Overrides:
    getPreferredSize in class java.awt.Component

### getMaximumSize

    public java.awt.Dimension getMaximumSize()

  Returns the maximum size of the component.
  Returns:
    the size
  Overrides:
    getMaximumSize in class java.awt.Component

### getAccessibleContext

    public AccessibleContext getAccessibleContext()

  Gets the AccessibleContext associated with this Component. Creates a new context if necessary.
  Specified by:
    getAccessibleContext in interface Accessible
  Returns:
    the AccessibleContext of this Component

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.